﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DTG.Spreadsheet;

namespace Import
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Shown(object sender, EventArgs e)
        {
            //Read a .xls file.
            ExcelWorkbook Wbook = ExcelWorkbook.ReadXLSX(@"..\..\..\Template.xlsx");

            //Write worksheet to DataTable.
            DataTable DT = Wbook.Worksheets[0].WriteToDataTable();

            //Create new workbook.
            Wbook = new ExcelWorkbook();

            //Adds new worksheet.
            Wbook.Worksheets.Add("sheet1");

            //Read data from DataTable.
            Wbook.Worksheets[0].ReadFromDataTable(DT);

            // XLS
            //Wbook.WriteXLS(@"..\..\..\DataTableImport.xls");

            // XLSX
            Wbook.WriteXLSX(@"..\..\..\DataTableImport.xlsx");

            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\DataTableImport.xlsx");

            Close();
        }
    }
}
