﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using DTG.Spreadsheet;

namespace GetTracePrecedents
{
    class Program
    {
        static void Main(string[] args)
        {
            // Read .xls file with password encription.
            ExcelWorkbook wbook = ExcelWorkbook.ReadXLS(@"..\..\..\FormulaTrace.xls");

            // Get list trace precedents.
            ExcelCell[] cells = wbook.Worksheets[0].Cells["A3"].GetTracePrecedents();
            
            // Set new values.
            for (int i = 0; i < cells.Length; i++)
                cells[i].Value = 0;

            // Write .xls file.
            wbook.WriteXLS(@"..\..\..\ResultDTG.xls");
            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\ResultDTG.xls");
        }
    }
}
