﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DTG.Spreadsheet;

namespace ProgressBar
{
    public partial class Form1 : Form
    {
        ExcelWorkbook workbook;
        float progress;



        public Form1()
        {
            InitializeComponent();
        }



        private void workbook_SavingProgress(object sender, ProgressEventArgs e)
        {
            progress += e.Percent;
            progressBar1.Value = (int)progress;
        }

        private void workbook_ReadingProgress(object sender, ProgressEventArgs e)
        {
            progress += e.Percent;
            progressBar1.Value = (int)progress;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            progress = 0;
            progressBar1.Value = 0;
            workbook = ExcelWorkbook.ReadXLS(@"..\..\..\Template.xls", new ProgressEventHandler(workbook_ReadingProgress));
            dataGridView1.DataSource = workbook.Worksheets[0].WriteToDataTable();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            progress = 0;
            progressBar1.Value = 0;
            workbook.SavingProgress += new ProgressEventHandler(workbook_SavingProgress);
            workbook.WriteXLS(@"..\..\..\ReSave.xls");
            dataGridView1.DataSource = null;
        }

    }
}
