﻿Imports DTG.Spreadsheet

Module Module1

    Sub Main()
        'Create a new workbook.
        Dim Wbook = New ExcelWorkbook()

        'Add new worksheet to workbook.
        Wbook.Worksheets.Add("Sheet1")

        'Write text in B2
        Wbook.Worksheets(0).Cells("B2").Value = "sample"

        'Set the line style and color line of the borders.
        Wbook.Worksheets(0).Cells("B2").Style.Borders.BottomLineColor = ColorPalette.Gold
        Wbook.Worksheets(0).Cells("B2").Style.Borders.BottomLineStyle = TypeOfBorderLine.Double
        Wbook.Worksheets(0).Cells("B2").Style.Borders.TopLineColor = ColorPalette.Indigo
        Wbook.Worksheets(0).Cells("B2").Style.Borders.TopLineStyle = TypeOfBorderLine.Medium
        Wbook.Worksheets(0).Cells("B2").Style.Borders.LeftLineColor = ColorPalette.Green
        Wbook.Worksheets(0).Cells("B2").Style.Borders.LeftLineStyle = TypeOfBorderLine.SlantDashDot
        Wbook.Worksheets(0).Cells("B2").Style.Borders.RightLineColor = ColorPalette.Plum
        Wbook.Worksheets(0).Cells("B2").Style.Borders.RightLineStyle = TypeOfBorderLine.MediumDashDot
        Wbook.Worksheets(0).Cells("B2").Style.Borders.Diagonal = TypeOfDiagonal.Both
        Wbook.Worksheets(0).Cells("B2").Style.Borders.DiagonalLineColor = ColorPalette.LightBlue
        Wbook.Worksheets(0).Cells("B2").Style.Borders.DiagonalLineStyle = TypeOfBorderLine.Dashed

        'Write text in B4 and set the line style and color line of the borders.
        Wbook.Worksheets(0).Cells("B4").Value = "sample"
        Wbook.Worksheets(0).Cells("B4").SetBordersStyles(TypeOfMultipleBorders.Outside, TypeOfBorderLine.Double, ColorPalette.Violet)

        'Write text in B6 and set the line style and color line of the borders.
        Wbook.Worksheets(0).Cells("B6").Value = "sample"
        Wbook.Worksheets(0).Cells("B6").SetBordersStyles(TypeOfBorderLine.SlantDashDot, ColorPalette.Violet, TypeOfBorderLine.Medium, ColorPalette.Green, TypeOfBorderLine.Thick, ColorPalette.Gold, TypeOfBorderLine.MediumDashDotDot, ColorPalette.Red)

        'Set the line style and color line of the borders cell range.
        Wbook.Worksheets(0).Cells("D2:F4").SetBordersStyles(TypeOfMultipleBorders.Outside, TypeOfBorderLine.SlantDashDot, ColorPalette.SkyBlue)

        'Set the line style and color line of the borders cell range.
        Wbook.Worksheets(0).Cells("D6:F8").SetBordersStyles(TypeOfMultipleBorders.Vertical, TypeOfBorderLine.Medium, ColorPalette.DarkPurple)

        'Set the line style and color line of the borders cell range.
        Wbook.Worksheets(0).Cells("D10:F12").SetBordersStyles(TypeOfMultipleBorders.All, TypeOfBorderLine.Medium, ColorPalette.Lime)

        'Set the line style and color line of the borders cell range.
        Wbook.Worksheets(0).Cells("H2:J4").IsMerged = True
        Wbook.Worksheets(0).Cells("H2").SetBordersStyles(TypeOfMultipleBorders.Outside, TypeOfBorderLine.Double, ColorPalette.OceanBlue)

        'Set the line style and color line of the borders cell range.
        Wbook.Worksheets(0).Cells("H6:J8").IsMerged = True
        Wbook.Worksheets(0).Cells("H6").SetBordersStyles(TypeOfMultipleBorders.Diagonal, TypeOfBorderLine.Dotted, ColorPalette.Red)


        'XLS
        Wbook.WriteXLS("..\..\..\ExcelBorderSample.xls")

        'XLSX
        Wbook.WriteXLSX("..\..\..\ExcelBorderSample.xlsx")

        'Open specified file in MS Excel.
        System.Diagnostics.Process.Start("..\..\..\ExcelBorderSample.xlsx")


    End Sub

End Module
